diff --git a/doc/bash.ps b/doc/bash.ps
index 80a63f36..3a31e4c6 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -5661,92 +5665,92 @@ H .492(hrough the history).15 F 5.491(.A)-.65 G(ne)-2.5 E -.05(ga)-.15 G
 (and)2.25 E F2(emacs)2.5 E F0(as the editor)2.5 E 2.5(,i)-.4 G 2.5(nt)
 -2.5 G(hat order)-2.5 E(.)-.55 E F1(Commands f)87 592.8 Q(or Changing T)
 -.25 E(ext)-.92 E F2(end\255of\255\214le)108 604.8 Q F1
-(\(usually C\255d\))2.5 E F0 .798
+(\(usually C\255d\))2.5 E F0 .799
 (The character indicating end-of-\214le as set, for e)144 616.8 R .799
-(xample, by)-.15 F/F5 10/Courier@0 SF(stty)3.299 E F0 5.799(.I)C 3.299
-(ft)-5.799 G .799(his character is read when)-3.299 F .592
+(xample, by)-.15 F/F5 10/Courier@0 SF(stty)3.299 E F0 5.799(.I)C 3.298
+(ft)-5.799 G .798(his character is read when)-3.298 F .592
 (there are no characters on the line, and point is at the be)144 628.8 R
-.592(ginning of the line, Readline interprets it)-.15 F
+.593(ginning of the line, Readline interprets it)-.15 F
 (as the end of input and returns)144 640.8 Q F3(EOF)2.5 E F4(.)A F1
-(delete\255char \(C\255d\))108 652.8 Q F0 .441
+(delete\255char \(C\255d\))108 652.8 Q F0 .442
 (Delete the character at point.)144 664.8 R .442
-(If this function is bound to the same character as the tty)5.441 F F1
-(EOF)2.942 E F0(char)2.942 E(-)-.2 E(acter)144 676.8 Q 2.5(,a)-.4 G(s)
+(If this function is bound to the same character as the tty)5.442 F F1
+(EOF)2.941 E F0(char)2.941 E(-)-.2 E(acter)144 676.8 Q 2.5(,a)-.4 G(s)
 -2.5 E F1(C\255d)2.5 E F0(commonly is, see abo)2.5 E .3 -.15(ve f)-.15 H
 (or the ef).15 E(fects.)-.25 E F1(backward\255delete\255char \(Rubout\))
-108 688.8 Q F0 .553(Delete the character behind the cursor)144 700.8 R
+108 688.8 Q F0 .552(Delete the character behind the cursor)144 700.8 R
 5.553(.W)-.55 G .553(hen gi)-5.553 F -.15(ve)-.25 G 3.053(nan).15 G .553
-(umeric ar)-3.053 F .552(gument, sa)-.18 F .852 -.15(ve t)-.2 H .552
-(he deleted te).15 F .552(xt on)-.15 F(the kill ring.)144 712.8 Q
-(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(46)197.335 E 0 Cg EP
+(umeric ar)-3.053 F .553(gument, sa)-.18 F .853 -.15(ve t)-.2 H .553
+(he deleted te).15 F .553(xt on)-.15 F(the kill ring.)144 712.8 Q
+(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E(46)192.895 E 0 Cg EP
 %%Page: 47 47
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 137.14(SH\(1\) General).35 F
 (Commands Manual)2.5 E -.35(BA)139.64 G(SH\(1\)).35 E/F1 10/Times-Bold@0
-SF -.25(fo)108 84 S(rward\255backward\255delete\255char).25 E F0 .473
-(Delete the character under the cursor)144 96 R 2.973(,u)-.4 G .474
-(nless the cursor is at the end of the line, in which case the)-2.973 F
+SF -.25(fo)108 84 S(rward\255backward\255delete\255char).25 E F0 .474
+(Delete the character under the cursor)144 96 R 2.974(,u)-.4 G .474
+(nless the cursor is at the end of the line, in which case the)-2.974 F
 (character behind the cursor is deleted.)144 108 Q F1
-(quoted\255insert \(C\255q, C\255v\))108 120 Q F0 .779(Add the ne)144
+(quoted\255insert \(C\255q, C\255v\))108 120 Q F0 .778(Add the ne)144
 132 R .779(xt character typed to the line v)-.15 F 3.279(erbatim. This)
 -.15 F .779(is ho)3.279 F 3.279(wt)-.25 G 3.279(oi)-3.279 G .779
-(nsert characters lik)-3.279 F(e)-.1 E F1(C\255q)3.278 E F0 3.278(,f)C
-(or)-3.278 E -.15(ex)144 144 S(ample.).15 E F1(tab\255insert \(C\255v T)
+(nsert characters lik)-3.279 F(e)-.1 E F1(C\255q)3.279 E F0 3.279(,f)C
+(or)-3.279 E -.15(ex)144 144 S(ample.).15 E F1(tab\255insert \(C\255v T)
 108 156 Q(AB\))-.9 E F0(Insert a tab character)144 168 Q(.)-.55 E F1
 (self\255insert \(a, b, A, 1, !, ...\))108 180 Q F0
 (Insert the character typed.)144 192 Q F1(transpose\255chars \(C\255t\))
-108 204 Q F0 .321(Drag the character before point forw)144 216 R .321
+108 204 Q F0 .322(Drag the character before point forw)144 216 R .321
 (ard o)-.1 F -.15(ve)-.15 G 2.821(rt).15 G .321
-(he character at point, mo)-2.821 F .322(ving point forw)-.15 F .322
+(he character at point, mo)-2.821 F .321(ving point forw)-.15 F .321
 (ard as well.)-.1 F 1.182
 (If point is at the end of the line, then this transposes the tw)144 228
-R 3.682(oc)-.1 G 1.182(haracters before point.)-3.682 F(Ne)6.182 E -.05
+R 3.683(oc)-.1 G 1.183(haracters before point.)-3.683 F(Ne)6.183 E -.05
 (ga)-.15 G(ti).05 E -.15(ve)-.25 G(ar)144 240 Q(guments ha)-.18 E .3
 -.15(ve n)-.2 H 2.5(oe).15 G -.25(ff)-2.5 G(ect.).25 E F1
-(transpose\255w)108 252 Q(ords \(M\255t\))-.1 E F0 .023(Drag the w)144
-264 R .023(ord before point past the w)-.1 F .023(ord after point, mo)
--.1 F .023(ving point o)-.15 F -.15(ve)-.15 G 2.524(rt).15 G .024(hat w)
--2.524 F .024(ord as well.)-.1 F .024(If point)5.024 F
+(transpose\255w)108 252 Q(ords \(M\255t\))-.1 E F0 .024(Drag the w)144
+264 R .024(ord before point past the w)-.1 F .023(ord after point, mo)
+-.1 F .023(ving point o)-.15 F -.15(ve)-.15 G 2.523(rt).15 G .023(hat w)
+-2.523 F .023(ord as well.)-.1 F .023(If point)5.023 F
 (is at the end of the line, this transposes the last tw)144 276 Q 2.5
 (ow)-.1 G(ords on the line.)-2.6 E F1(upcase\255w)108 288 Q
-(ord \(M\255u\))-.1 E F0 1.699(Uppercase the current \(or follo)144 300
+(ord \(M\255u\))-.1 E F0 1.698(Uppercase the current \(or follo)144 300
 R 1.698(wing\) w)-.25 F 4.198(ord. W)-.1 F 1.698(ith a ne)-.4 F -.05(ga)
--.15 G(ti).05 E 1.998 -.15(ve a)-.25 H -.18(rg).15 G 1.698
+-.15 G(ti).05 E 1.999 -.15(ve a)-.25 H -.18(rg).15 G 1.699
 (ument, uppercase the pre).18 F(vious)-.25 E -.1(wo)144 312 S(rd, b).1 E
 (ut do not mo)-.2 E .3 -.15(ve p)-.15 H(oint.).15 E F1(do)108 324 Q
-(wncase\255w)-.1 E(ord \(M\255l\))-.1 E F0(Lo)144 336 Q 1.647
-(wercase the current \(or follo)-.25 F 1.647(wing\) w)-.25 F 4.147
-(ord. W)-.1 F 1.648(ith a ne)-.4 F -.05(ga)-.15 G(ti).05 E 1.948 -.15
-(ve a)-.25 H -.18(rg).15 G 1.648(ument, lo).18 F 1.648(wercase the pre)
+(wncase\255w)-.1 E(ord \(M\255l\))-.1 E F0(Lo)144 336 Q 1.648
+(wercase the current \(or follo)-.25 F 1.648(wing\) w)-.25 F 4.148
+(ord. W)-.1 F 1.647(ith a ne)-.4 F -.05(ga)-.15 G(ti).05 E 1.947 -.15
+(ve a)-.25 H -.18(rg).15 G 1.647(ument, lo).18 F 1.647(wercase the pre)
 -.25 F(vious)-.25 E -.1(wo)144 348 S(rd, b).1 E(ut do not mo)-.2 E .3
 -.15(ve p)-.15 H(oint.).15 E F1(capitalize\255w)108 360 Q
-(ord \(M\255c\))-.1 E F0 1.975(Capitalize the current \(or follo)144 372
+(ord \(M\255c\))-.1 E F0 1.974(Capitalize the current \(or follo)144 372
 R 1.974(wing\) w)-.25 F 4.474(ord. W)-.1 F 1.974(ith a ne)-.4 F -.05(ga)
--.15 G(ti).05 E 2.274 -.15(ve a)-.25 H -.18(rg).15 G 1.974
+-.15 G(ti).05 E 2.274 -.15(ve a)-.25 H -.18(rg).15 G 1.975
 (ument, capitalize the pre).18 F(vious)-.25 E -.1(wo)144 384 S(rd, b).1
 E(ut do not mo)-.2 E .3 -.15(ve p)-.15 H(oint.).15 E F1 -.1(ove)108 396
-S(rwrite\255mode).1 E F0 -.8(To)144 408 S .437(ggle o).8 F -.15(ve)-.15
-G .437(rwrite mode.).15 F -.4(Wi)5.437 G .437(th an e).4 F .437
-(xplicit positi)-.15 F .738 -.15(ve n)-.25 H .438(umeric ar).15 F .438
-(gument, switches to o)-.18 F -.15(ve)-.15 G .438(rwrite mode.).15 F -.4
-(Wi)144 420 S .781(th an e).4 F .781(xplicit non-positi)-.15 F 1.081
--.15(ve n)-.25 H .781(umeric ar).15 F .781
-(gument, switches to insert mode.)-.18 F .78(This command af)5.781 F
-(fects)-.25 E(only)144 432 Q F1(emacs)4.394 E F0(mode;)4.394 E F1(vi)
-4.394 E F0 1.894(mode does o)4.394 F -.15(ve)-.15 G 1.894(rwrite dif).15
-F(ferently)-.25 E 6.894(.E)-.65 G 1.894(ach call to)-6.894 F/F2 10
-/Times-Italic@0 SF -.37(re)4.395 G(adline\(\)).37 E F0 1.895
-(starts in insert)4.395 F 3.969(mode. In)144 444 R -.15(ove)3.969 G
-1.469(rwrite mode, characters bound to).15 F F1(self\255insert)3.969 E
-F0 1.468(replace the te)3.969 F 1.468(xt at point rather than)-.15 F
-.957(pushing the te)144 456 R .957(xt to the right.)-.15 F .958
-(Characters bound to)5.957 F F1(backward\255delete\255char)3.458 E F0
-.958(replace the character)3.458 F(before point with a space.)144 468 Q
-(By def)5 E(ault, this command is unbound.)-.1 E F1(Killing and Y)87
-484.8 Q(anking)-.85 E(kill\255line \(C\255k\))108 496.8 Q F0
-(Kill the te)144 508.8 Q(xt from point to the end of the line.)-.15 E F1
+S(rwrite\255mode).1 E F0 -.8(To)144 408 S .438(ggle o).8 F -.15(ve)-.15
+G .438(rwrite mode.).15 F -.4(Wi)5.438 G .438(th an e).4 F .438
+(xplicit positi)-.15 F .737 -.15(ve n)-.25 H .437(umeric ar).15 F .437
+(gument, switches to o)-.18 F -.15(ve)-.15 G .437(rwrite mode.).15 F -.4
+(Wi)144 420 S .78(th an e).4 F .781(xplicit non-positi)-.15 F 1.081 -.15
+(ve n)-.25 H .781(umeric ar).15 F .781(gument, switches to insert mode.)
+-.18 F .781(This command af)5.781 F(fects)-.25 E(only)144 432 Q F1
+(emacs)4.395 E F0(mode;)4.395 E F1(vi)4.395 E F0 1.894(mode does o)4.395
+F -.15(ve)-.15 G 1.894(rwrite dif).15 F(ferently)-.25 E 6.894(.E)-.65 G
+1.894(ach call to)-6.894 F/F2 10/Times-Italic@0 SF -.37(re)4.394 G
+(adline\(\)).37 E F0 1.894(starts in insert)4.394 F 3.968(mode. In)144
+444 R -.15(ove)3.968 G 1.468(rwrite mode, characters bound to).15 F F1
+(self\255insert)3.969 E F0 1.469(replace the te)3.969 F 1.469
+(xt at point rather than)-.15 F .958(pushing the te)144 456 R .958
+(xt to the right.)-.15 F .957(Characters bound to)5.958 F F1
+(backward\255delete\255char)3.457 E F0 .957(replace the character)3.457
+F(before point with a space.)144 468 Q(By def)5 E
+(ault, this command is unbound.)-.1 E F1(Killing and Y)87 484.8 Q
+(anking)-.85 E(kill\255line \(C\255k\))108 496.8 Q F0(Kill the te)144
+508.8 Q(xt from point to the end of the line.)-.15 E F1
 (backward\255kill\255line \(C\255x Rubout\))108 520.8 Q F0(Kill backw)
 144 532.8 Q(ard to the be)-.1 E(ginning of the line.)-.15 E F1
 (unix\255line\255discard \(C\255u\))108 544.8 Q F0(Kill backw)144 556.8
@@ -5754,39 +5758,39 @@ Q(ard from point to the be)-.1 E(ginning of the line.)-.15 E
 (The killed te)5 E(xt is sa)-.15 E -.15(ve)-.2 G 2.5(do).15 G 2.5(nt)
 -2.5 G(he kill-ring.)-2.5 E F1(kill\255whole\255line)108 568.8 Q F0
 (Kill all characters on the current line, no matter where point is.)144
-580.8 Q F1(kill\255w)108 592.8 Q(ord \(M\255d\))-.1 E F0 .729
-(Kill from point to the end of the current w)144 604.8 R .728
-(ord, or if between w)-.1 F .728(ords, to the end of the ne)-.1 F .728
+580.8 Q F1(kill\255w)108 592.8 Q(ord \(M\255d\))-.1 E F0 .728
+(Kill from point to the end of the current w)144 604.8 R .729
+(ord, or if between w)-.1 F .729(ords, to the end of the ne)-.1 F .729
 (xt w)-.15 F(ord.)-.1 E -.8(Wo)144 616.8 S
 (rd boundaries are the same as those used by).8 E F1 -.25(fo)2.5 G
 (rward\255w).25 E(ord)-.1 E F0(.)A F1(backward\255kill\255w)108 628.8 Q
 (ord \(M\255Rubout\))-.1 E F0(Kill the w)144 640.8 Q(ord behind point.)
 -.1 E -.8(Wo)5 G(rd boundaries are the same as those used by).8 E F1
 (backward\255w)2.5 E(ord)-.1 E F0(.)A F1(shell\255kill\255w)108 652.8 Q
-(ord)-.1 E F0 .728(Kill from point to the end of the current w)144 664.8
-R .729(ord, or if between w)-.1 F .729(ords, to the end of the ne)-.1 F
-.729(xt w)-.15 F(ord.)-.1 E -.8(Wo)144 676.8 S
+(ord)-.1 E F0 .729(Kill from point to the end of the current w)144 664.8
+R .728(ord, or if between w)-.1 F .728(ords, to the end of the ne)-.1 F
+.728(xt w)-.15 F(ord.)-.1 E -.8(Wo)144 676.8 S
 (rd boundaries are the same as those used by).8 E F1(shell\255f)2.5 E
 (orward\255w)-.25 E(ord)-.1 E F0(.)A F1(shell\255backward\255kill\255w)
 108 688.8 Q(ord)-.1 E F0 3.025(Kill the w)144 700.8 R 3.025
 (ord behind point.)-.1 F -.8(Wo)8.025 G 3.025
 (rd boundaries are the same as those used by).8 F F1(shell\255back-)
 5.525 E(ward\255w)144 712.8 Q(ord)-.1 E F0(.)A(GNU Bash 4.4)72 768 Q
-(2017 June 23)148.175 E(47)197.335 E 0 Cg EP
+(2017 October 7)143.735 E(47)192.895 E 0 Cg EP
 %%Page: 48 48
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 137.14(SH\(1\) General).35 F
 (Commands Manual)2.5 E -.35(BA)139.64 G(SH\(1\)).35 E/F1 10/Times-Bold@0
-SF(unix\255w)108 84 Q(ord\255rubout \(C\255w\))-.1 E F0 .364(Kill the w)
-144 96 R .364(ord behind point, using white space as a w)-.1 F .365
-(ord boundary)-.1 F 5.365(.T)-.65 G .365(he killed te)-5.365 F .365
-(xt is sa)-.15 F -.15(ve)-.2 G 2.865(do).15 G 2.865(nt)-2.865 G(he)
--2.865 E(kill-ring.)144 108 Q F1(unix\255\214lename\255rubout)108 120 Q
-F0 .167(Kill the w)144 132 R .166
+SF(unix\255w)108 84 Q(ord\255rubout \(C\255w\))-.1 E F0 .365(Kill the w)
+144 96 R .365(ord behind point, using white space as a w)-.1 F .364
+(ord boundary)-.1 F 5.364(.T)-.65 G .364(he killed te)-5.364 F .364
+(xt is sa)-.15 F -.15(ve)-.2 G 2.864(do).15 G 2.864(nt)-2.864 G(he)
+-2.864 E(kill-ring.)144 108 Q F1(unix\255\214lename\255rubout)108 120 Q
+F0 .166(Kill the w)144 132 R .166
 (ord behind point, using white space and the slash character as the w)
--.1 F .166(ord boundaries.)-.1 F(The)5.166 E(killed te)144 144 Q
+-.1 F .167(ord boundaries.)-.1 F(The)5.167 E(killed te)144 144 Q
 (xt is sa)-.15 E -.15(ve)-.2 G 2.5(do).15 G 2.5(nt)-2.5 G(he kill-ring.)
 -2.5 E F1(delete\255horizontal\255space \(M\255\\\))108 156 Q F0
 (Delete all spaces and tabs around point.)144 168 Q F1(kill\255r)108 180
@@ -5794,15 +5798,15 @@ Q(egion)-.18 E F0(Kill the te)144 192 Q(xt in the current re)-.15 E
 (gion.)-.15 E F1(copy\255r)108 204 Q(egion\255as\255kill)-.18 E F0(Cop)
 144 216 Q 2.5(yt)-.1 G(he te)-2.5 E(xt in the re)-.15 E
 (gion to the kill b)-.15 E(uf)-.2 E(fer)-.25 E(.)-.55 E F1
-(copy\255backward\255w)108 228 Q(ord)-.1 E F0(Cop)144 240 Q 4.8(yt)-.1 G
-2.3(he w)-4.8 F 2.3(ord before point to the kill b)-.1 F(uf)-.2 E(fer)
--.25 E 7.301(.T)-.55 G 2.301(he w)-7.301 F 2.301
-(ord boundaries are the same as)-.1 F F1(back-)4.801 E(ward\255w)144 252
-Q(ord)-.1 E F0(.)A F1(copy\255f)108 264 Q(orward\255w)-.25 E(ord)-.1 E
-F0(Cop)144 276 Q 4.508(yt)-.1 G 2.008(he w)-4.508 F 2.008(ord follo)-.1
-F 2.008(wing point to the kill b)-.25 F(uf)-.2 E(fer)-.25 E 7.007(.T)
--.55 G 2.007(he w)-7.007 F 2.007(ord boundaries are the same as)-.1 F F1
--.25(fo)4.507 G -.37(r-).25 G(ward\255w)144 288 Q(ord)-.1 E F0(.)A F1
+(copy\255backward\255w)108 228 Q(ord)-.1 E F0(Cop)144 240 Q 4.801(yt)-.1
+G 2.301(he w)-4.801 F 2.301(ord before point to the kill b)-.1 F(uf)-.2
+E(fer)-.25 E 7.301(.T)-.55 G 2.301(he w)-7.301 F 2.3
+(ord boundaries are the same as)-.1 F F1(back-)4.8 E(ward\255w)144 252 Q
+(ord)-.1 E F0(.)A F1(copy\255f)108 264 Q(orward\255w)-.25 E(ord)-.1 E F0
+(Cop)144 276 Q 4.507(yt)-.1 G 2.007(he w)-4.507 F 2.007(ord follo)-.1 F
+2.007(wing point to the kill b)-.25 F(uf)-.2 E(fer)-.25 E 7.008(.T)-.55
+G 2.008(he w)-7.008 F 2.008(ord boundaries are the same as)-.1 F F1 -.25
+(fo)4.508 G -.37(r-).25 G(ward\255w)144 288 Q(ord)-.1 E F0(.)A F1
 (yank \(C\255y\))108 300 Q F0 -1(Ya)144 312 S
 (nk the top of the kill ring into the b)1 E(uf)-.2 E(fer at point.)-.25
 E F1(yank\255pop \(M\255y\))108 324 Q F0
@@ -5813,36 +5817,36 @@ F0(or)2.5 E F1(yank\255pop)2.5 E F0(.)A F1(Numeric Ar)87 352.8 Q
 (gument \(M\2550, M\2551, ..., M\255\255\))-.1 E F0 .367
 (Add this digit to the ar)144 376.8 R .367
 (gument already accumulating, or start a ne)-.18 F 2.867(wa)-.25 G -.18
-(rg)-2.867 G 2.867(ument. M\255\255).18 F .367(starts a ne)2.867 F -.05
+(rg)-2.867 G 2.867(ument. M\255\255).18 F .366(starts a ne)2.867 F -.05
 (ga)-.15 G(-).05 E(ti)144 388.8 Q .3 -.15(ve a)-.25 H -.18(rg).15 G
 (ument.).18 E F1(uni)108 400.8 Q -.1(ve)-.1 G(rsal\255ar).1 E(gument)-.1
-E F0 .779(This is another w)144 412.8 R .779(ay to specify an ar)-.1 F
-3.279(gument. If)-.18 F .779(this command is follo)3.279 F .778
+E F0 .778(This is another w)144 412.8 R .779(ay to specify an ar)-.1 F
+3.279(gument. If)-.18 F .779(this command is follo)3.279 F .779
 (wed by one or more digits,)-.25 F 1.376
 (optionally with a leading minus sign, those digits de\214ne the ar)144
 424.8 R 3.876(gument. If)-.18 F 1.376(the command is fol-)3.876 F(lo)144
 436.8 Q 1.17(wed by digits, e)-.25 F -.15(xe)-.15 G(cuting).15 E F1(uni)
 3.67 E -.1(ve)-.1 G(rsal\255ar).1 E(gument)-.1 E F0(ag)3.67 E 1.17
 (ain ends the numeric ar)-.05 F 1.17(gument, b)-.18 F 1.17(ut is other)
--.2 F(-)-.2 E .898(wise ignored.)144 448.8 R .898
-(As a special case, if this command is immediately follo)5.898 F .898
+-.2 F(-)-.2 E .899(wise ignored.)144 448.8 R .898
+(As a special case, if this command is immediately follo)5.899 F .898
 (wed by a character that is)-.25 F 1.23
 (neither a digit nor minus sign, the ar)144 460.8 R 1.23
 (gument count for the ne)-.18 F 1.23(xt command is multiplied by four)
--.15 F(.)-.55 E .822(The ar)144 472.8 R .822
+-.15 F(.)-.55 E .823(The ar)144 472.8 R .823
 (gument count is initially one, so e)-.18 F -.15(xe)-.15 G .823
-(cuting this function the \214rst time mak).15 F .823(es the ar)-.1 F
+(cuting this function the \214rst time mak).15 F .822(es the ar)-.1 F
 (gument)-.18 E(count four)144 484.8 Q 2.5(,as)-.4 G(econd time mak)-2.5
 E(es the ar)-.1 E(gument count sixteen, and so on.)-.18 E F1(Completing)
 87 501.6 Q(complete \(T)108 513.6 Q(AB\))-.9 E F0 1.137
 (Attempt to perform completion on the te)144 525.6 R 1.137
 (xt before point.)-.15 F F1(Bash)6.137 E F0 1.137
-(attempts completion treating the)3.637 F(te)144 537.6 Q .532(xt as a v)
--.15 F .532(ariable \(if the te)-.25 F .532(xt be)-.15 F .533(gins with)
--.15 F F1($)3.033 E F0 .533(\), username \(if the te)B .533(xt be)-.15 F
-.533(gins with)-.15 F F1(~)3.033 E F0 .533(\), hostname \(if the)B(te)
-144 549.6 Q .702(xt be)-.15 F .702(gins with)-.15 F F1(@)3.202 E F0 .701
-(\), or command \(including aliases and functions\) in turn.)B .701
+(attempts completion treating the)3.637 F(te)144 537.6 Q .533(xt as a v)
+-.15 F .533(ariable \(if the te)-.25 F .533(xt be)-.15 F .533(gins with)
+-.15 F F1($)3.033 E F0 .533(\), username \(if the te)B .532(xt be)-.15 F
+.532(gins with)-.15 F F1(~)3.032 E F0 .532(\), hostname \(if the)B(te)
+144 549.6 Q .701(xt be)-.15 F .701(gins with)-.15 F F1(@)3.201 E F0 .701
+(\), or command \(including aliases and functions\) in turn.)B .702
 (If none of these pro-)5.701 F
 (duces a match, \214lename completion is attempted.)144 561.6 Q F1
 (possible\255completions \(M\255?\))108 573.6 Q F0
@@ -5850,26 +5854,26 @@ E(es the ar)-.1 E(gument count sixteen, and so on.)-.18 E F1(Completing)
 -.15 E F1(insert\255completions \(M\255*\))108 597.6 Q F0 .783
 (Insert all completions of the te)144 609.6 R .783
 (xt before point that w)-.15 F .783(ould ha)-.1 F 1.083 -.15(ve b)-.2 H
-.783(een generated by).15 F F1(possible\255com-)3.283 E(pletions)144
-621.6 Q F0(.)A F1(menu\255complete)108 633.6 Q F0 .929(Similar to)144
-645.6 R F1(complete)3.429 E F0 3.429(,b)C .929(ut replaces the w)-3.629
+.783(een generated by).15 F F1(possible\255com-)3.282 E(pletions)144
+621.6 Q F0(.)A F1(menu\255complete)108 633.6 Q F0 .928(Similar to)144
+645.6 R F1(complete)3.428 E F0 3.428(,b)C .929(ut replaces the w)-3.628
 F .929(ord to be completed with a single match from the list of)-.1 F
-1.193(possible completions.)144 657.6 R 1.193(Repeated e)6.193 F -.15
-(xe)-.15 G 1.193(cution of).15 F F1(menu\255complete)3.694 E F0 1.194
-(steps through the list of possible)3.694 F .829
+1.194(possible completions.)144 657.6 R 1.194(Repeated e)6.194 F -.15
+(xe)-.15 G 1.194(cution of).15 F F1(menu\255complete)3.694 E F0 1.193
+(steps through the list of possible)3.694 F .828
 (completions, inserting each match in turn.)144 669.6 R .828
 (At the end of the list of completions, the bell is rung)5.828 F .727
 (\(subject to the setting of)144 681.6 R F1(bell\255style)3.227 E F0
 3.227(\)a)C .727(nd the original te)-3.227 F .727(xt is restored.)-.15 F
 .727(An ar)5.727 F .727(gument of)-.18 F/F2 10/Times-Italic@0 SF(n)3.227
-E F0(mo)3.227 E -.15(ve)-.15 G(s).15 E F2(n)3.228 E F0 1.73
+E F0(mo)3.227 E -.15(ve)-.15 G(s).15 E F2(n)3.227 E F0 1.73
 (positions forw)144 693.6 R 1.73(ard in the list of matches; a ne)-.1 F
 -.05(ga)-.15 G(ti).05 E 2.03 -.15(ve a)-.25 H -.18(rg).15 G 1.73
 (ument may be used to mo).18 F 2.03 -.15(ve b)-.15 H(ackw).15 E(ard)-.1
 E(through the list.)144 705.6 Q(This command is intended to be bound to)
 5 E F1 -.9(TA)2.5 G(B).9 E F0 2.5(,b)C(ut is unbound by def)-2.7 E
-(ault.)-.1 E(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(48)197.335 E 0
-Cg EP
+(ault.)-.1 E(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E(48)192.895 E
+0 Cg EP
 %%Page: 49 49
 %%BeginPageSetup
 BP
@@ -5885,7 +5889,7 @@ SF(menu\255complete\255backward)108 84 Q F0 .82(Identical to)144 96 R F1
 2.5(ument. This).18 F(command is unbound by def)2.5 E(ault.)-.1 E F1
 (delete\255char\255or\255list)108 120 Q F0 .234
 (Deletes the character under the cursor if not at the be)144 132 R .234
-(ginning or end of the line \(lik)-.15 F(e)-.1 E F1(delete\255char)2.734
+(ginning or end of the line \(lik)-.15 F(e)-.1 E F1(delete\255char)2.735
 E F0(\).)A .425(If at the end of the line, beha)144 144 R -.15(ve)-.2 G
 2.925(si).15 G .425(dentically to)-2.925 F F1(possible\255completions)
 2.925 E F0 5.425(.T)C .425(his command is unbound)-5.425 F(by def)144
@@ -5911,10 +5915,10 @@ E F1(possible\255\214lename\255completions \(C\255x /\))108 192 Q F0
 (possible\255hostname\255completions \(C\255x @\))108 336 Q F0
 (List the possible completions of the te)144 348 Q
 (xt before point, treating it as a hostname.)-.15 E F1
-(complete\255command \(M\255!\))108 360 Q F0 .581
+(complete\255command \(M\255!\))108 360 Q F0 .58
 (Attempt completion on the te)144 372 R .581
-(xt before point, treating it as a command name.)-.15 F .58
-(Command comple-)5.58 F .715(tion attempts to match the te)144 384 R
+(xt before point, treating it as a command name.)-.15 F .581
+(Command comple-)5.581 F .715(tion attempts to match the te)144 384 R
 .715(xt ag)-.15 F .715(ainst aliases, reserv)-.05 F .715(ed w)-.15 F
 .715(ords, shell functions, shell b)-.1 F .715(uiltins, and)-.2 F
 (\214nally e)144 396 Q -.15(xe)-.15 G
@@ -5922,14 +5926,14 @@ E F1(possible\255\214lename\255completions \(C\255x /\))108 192 Q F0
 (possible\255command\255completions \(C\255x !\))108 408 Q F0
 (List the possible completions of the te)144 420 Q
 (xt before point, treating it as a command name.)-.15 E F1
-(dynamic\255complete\255history \(M\255T)108 432 Q(AB\))-.9 E F0 .425
+(dynamic\255complete\255history \(M\255T)108 432 Q(AB\))-.9 E F0 .424
 (Attempt completion on the te)144 444 R .425
-(xt before point, comparing the te)-.15 F .425(xt ag)-.15 F .424
+(xt before point, comparing the te)-.15 F .425(xt ag)-.15 F .425
 (ainst lines from the history list)-.05 F
 (for possible completion matches.)144 456 Q F1(dab)108 468 Q(br)-.1 E
--.15(ev)-.18 G(\255expand).15 E F0 .61
+-.15(ev)-.18 G(\255expand).15 E F0 .611
 (Attempt menu completion on the te)144 480 R .611
-(xt before point, comparing the te)-.15 F .611(xt ag)-.15 F .611
+(xt before point, comparing the te)-.15 F .61(xt ag)-.15 F .61
 (ainst lines from the his-)-.05 F
 (tory list for possible completion matches.)144 492 Q F1
 (complete\255into\255braces \(M\255{\))108 504 Q F0 .4(Perform \214lena\
@@ -5945,19 +5949,19 @@ E(start\255kbd\255macr)108 556.8 Q 2.5(o\()-.18 G(C\255x \()-2.5 E(\))
 (ving the characters typed into the current k)-.2 E -.15(ey)-.1 G
 (board macro and store the de\214nition.).15 E F1
 (call\255last\255kbd\255macr)108 604.8 Q 2.5(o\()-.18 G(C\255x e\))-2.5
-E F0(Re-e)144 616.8 Q -.15(xe)-.15 G .999(cute the last k).15 F -.15(ey)
--.1 G .999(board macro de\214ned, by making the characters in the macro\
- appear as if).15 F(typed at the k)144 628.8 Q -.15(ey)-.1 G(board.).15
-E F1(print\255last\255kbd\255macr)108 640.8 Q 2.5(o\()-.18 G(\))-2.5 E
-F0(Print the last k)144 652.8 Q -.15(ey)-.1 G
+E F0(Re-e)144 616.8 Q -.15(xe)-.15 G 1(cute the last k).15 F -.15(ey)-.1
+G .999(board macro de\214ned, by making the characters in the macro app\
+ear as if).15 F(typed at the k)144 628.8 Q -.15(ey)-.1 G(board.).15 E F1
+(print\255last\255kbd\255macr)108 640.8 Q 2.5(o\()-.18 G(\))-2.5 E F0
+(Print the last k)144 652.8 Q -.15(ey)-.1 G
 (board macro de\214ned in a format suitable for the).15 E/F2 10
 /Times-Italic@0 SF(inputr)2.5 E(c)-.37 E F0(\214le.)2.5 E F1
 (Miscellaneous)87 669.6 Q -.18(re)108 681.6 S<ad72>.18 E
-(ead\255init\255\214le \(C\255x C\255r\))-.18 E F0 1.777
-(Read in the contents of the)144 693.6 R F2(inputr)4.277 E(c)-.37 E F0
-1.776(\214le, and incorporate an)4.276 F 4.276(yb)-.15 G 1.776
-(indings or v)-4.276 F 1.776(ariable assignments)-.25 F(found there.)144
-705.6 Q(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(49)197.335 E 0 Cg
+(ead\255init\255\214le \(C\255x C\255r\))-.18 E F0 1.776
+(Read in the contents of the)144 693.6 R F2(inputr)4.276 E(c)-.37 E F0
+1.777(\214le, and incorporate an)4.276 F 4.277(yb)-.15 G 1.777
+(indings or v)-4.277 F 1.777(ariable assignments)-.25 F(found there.)144
+705.6 Q(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E(49)192.895 E 0 Cg
 EP
 %%Page: 50 50
 %%BeginPageSetup
@@ -5965,14 +5969,14 @@ BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 137.14(SH\(1\) General).35 F
 (Commands Manual)2.5 E -.35(BA)139.64 G(SH\(1\)).35 E/F1 10/Times-Bold@0
-SF(abort \(C\255g\))108 84 Q F0 3.248
-(Abort the current editing command and ring the terminal')144 96 R 5.749
-(sb)-.55 G 3.249(ell \(subject to the setting of)-5.749 F F1
+SF(abort \(C\255g\))108 84 Q F0 3.249
+(Abort the current editing command and ring the terminal')144 96 R 5.748
+(sb)-.55 G 3.248(ell \(subject to the setting of)-5.748 F F1
 (bell\255style)144 108 Q F0(\).)A F1(do\255lo)108 120 Q(wer)-.1 E
 (case\255v)-.18 E(ersion \(M\255A, M\255B, M\255)-.1 E/F2 10
-/Times-Italic@0 SF(x)A F1 2.5(,.)C(..\))-2.5 E F0 1.739
-(If the meta\214ed character)144 132 R F2(x)4.239 E F0 1.739
-(is uppercase, run the command that is bound to the corresponding)4.239
+/Times-Italic@0 SF(x)A F1 2.5(,.)C(..\))-2.5 E F0 1.738
+(If the meta\214ed character)144 132 R F2(x)4.238 E F0 1.739
+(is uppercase, run the command that is bound to the corresponding)4.238
 F(meta\214ed lo)144 144 Q(wercase character)-.25 E 5(.T)-.55 G(he beha)
 -5 E(vior is unde\214ned if)-.2 E F2(x)2.5 E F0(is already lo)2.5 E
 (wercase.)-.25 E F1(pr)108 156 Q(e\214x\255meta \(ESC\))-.18 E F0
